Glossary
********

*For an alphabetical listing of all commands, check out the* :ref:`genindex`

gpkit package
=============

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   gpkit.constraints
   gpkit.interactive
   gpkit.nomials
   gpkit.solvers
   gpkit.tools

Submodules
----------

gpkit.build module
------------------

.. automodule:: gpkit.build
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.exceptions module
-----------------------

.. automodule:: gpkit.exceptions
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.globals module
--------------------

.. automodule:: gpkit.globals
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.keydict module
--------------------

.. automodule:: gpkit.keydict
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.repr\_conventions module
------------------------------

.. automodule:: gpkit.repr_conventions
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.small\_classes module
---------------------------

.. automodule:: gpkit.small_classes
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.small\_scripts module
---------------------------

.. automodule:: gpkit.small_scripts
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.solution\_array module
----------------------------

.. automodule:: gpkit.solution_array
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.units module
------------------

.. automodule:: gpkit.units
   :members:
   :undoc-members:
   :show-inheritance:

gpkit.varkey module
-------------------

.. automodule:: gpkit.varkey
   :members:
   :undoc-members:
   :show-inheritance:


Module contents
---------------

.. automodule:: gpkit
   :members:
   :undoc-members:
   :show-inheritance:
